// Persistence of Vision Ray Tracer Scene Description File
// File: sample.pov
// Vers: 3.1
// Desc: Examples of blob_man.inc
// Date: April 1999
// Auth: Peter Houston < houston.graphics@iname.com >
// WWW : http://welcome.to/HoustonGraphics

#version 3.1;

global_settings {
        assumed_gamma 2.2
}

// ----------------------------------------
camera {
        location  <0, 100, -150.0>
        direction 1.5*z
        right     4/3*x
        look_at   <5.0, 35.0,  0>
}

sky_sphere {
        pigment {
                gradient z
                color_map { 
                        [0.0 color rgb <0.7,0.7,1.0>] 
                        [1.0 color blue 0.5] 
                }
        }
}

light_source{<-200,200,-200> rgb<1,.9,.5>}
light_source{<400,400,-200> rgb<.2,.4,.8> shadowless}
light_source{<-200,200,-200> rgb<1,1,1>*.7 shadowless}
light_source{<100,50,-150> color rgb .5 shadowless}
light_source{<100,-50,-150> color rgb .3 shadowless}
light_source{<-100,-50,-150> color rgb .1 shadowless}
// ----------------------------------------

#declare DeBug=off;
#include "blob_man.inc"
#include "default.pos"

// ----------------------------------------
union {
        plane{y, 0}
        box {<-5,0,5>,<15,15,25> rotate y*30 translate <-30,0,70>}        
        pigment {rgb .75}
}

#declare Hair=1; // Set this to 1 to render with hair, INCREASES PARSE TIME
#declare Build=0.5;

#macro MakeSkinTex(skin)
        #declare Skin_Tex=
                texture {
                         pigment{rgb skin}
                         finish{phong .3 phong_size 40}
                         normal{crackle .2 turbulence .7 scale .7}
                }
#end
            
MakeSkinTex(<.9,.7,.6>)
Blob_Man(0,Build,0,<.75,1,1>,0,0,1*Hair,<0.86,0.86,0.44>,0,0)
object {BlobMan translate Origin_RL translate <-60,.75,40>}

MakeSkinTex(<.5,.4,.3>)
Blob_Man(1,Build,1,<.75,1,1>,0,0,2*Hair,<0.86,0.86,0.44>,0,0)
object {BlobMan translate Origin_RL rotate y*75 translate <40,.75,40>}

MakeSkinTex(<.7,.6,.4>)
Blob_Man(6,Build,2,<.75,1,1>,0,0,0*Hair,<0.86,0.86,0.44>,0,0)
object {BlobMan translate Origin_RL rotate y*-75 translate <10,0,40>}

MakeSkinTex(<.9,.7,.6>)
Blob_Man(2,Build,5,<1,0,0>,0,0,2*Hair,<0.91,0.76,0.65>,0,0)
object {BlobMan translate Origin_RL rotate y*-15 translate <0,0,5>}

MakeSkinTex(<.9,.7,.6>)
Blob_Man(3,Build,4,<.75,1,1>,0,0,4*Hair,<0.98,0.73,0.68>,0,0)
object {BlobMan translate Origin_RL rotate y*30 translate <-30,.75,70>}

MakeSkinTex(<.7,.6,.4>)
Blob_Man(5,Build,2,<.75,1,1>,0,0,1*Hair,<0.98,0.73,0.68>,0,0)
object {BlobMan translate Origin_RL rotate y*0 translate <-45,0,7>}

MakeSkinTex(<.5,.4,.3>)
Blob_Man(7,Build,3,<.75,1,1>,0,0,4*Hair,<0.65,0.50,0.39>,0,0)
object {BlobMan translate Origin_RA-<0,11,0> rotate z*180 rotate y*75 translate <95,0,80>}

MakeSkinTex(<.9,.7,.6>)
Blob_Man(8,Build,3,<.75,1,1>,0,0,4*Hair,<0.15,0.15,0.15>,0,0)
object {BlobMan translate Origin_LL rotate x*90 rotate y*60 translate <20,1,-30>}

// EOF